#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         hoisie
%global repo            mustache
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.0.0+git20160804.6375acf
Release:        3.1
Summary:        The mustache template language in Go
License:        MIT
Group:          Development/Languages/Other
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
Provides:       go-mustache.go = %{version}
Obsoletes:      go-mustache.go < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_provides}

%description
mustache.go is an implementation of the mustache template language in Go. It
is better suited for website templates than Go's native pkg/template.
mustache.go is fast, it parses templates efficiently and stores them in a
tree-like structure which allows for fast execution.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild .

%install
%goinstall
%gosrc
%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc LICENSE Readme.md

%changelog
* Fri Jan 13 2017 thipp@suse.de
- Update to 0.0.0+git20160804.6375acf
- Refactoring based on new packaging proposal
- Add rpmlintrc
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-hoisie-mustache
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- update version 0.0.0+git20141121.af524a1
- import path changed to github.com/hoisie/mustache
- remove go_disable_brp_strip_static_archive usage
- drop patch: opensuse-build-fix.patch, upstream fixed
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Mon Jun 11 2012 graham@andtech.eu
- Update spec with new patch locations for package
- Add documentation sub package
* Wed Mar  7 2012 graham@andtech.eu
-  update spec for new Go rpm macros
* Thu Feb  9 2012 graham@andtech.eu
- gofixes for latest weekly (2012-02-07)
* Mon Aug 15 2011 saschpe@suse.de
- Update license to MIT (from BSD), fixes bnc#712213
* Sat Aug 13 2011 saschpe@gmx.de
- Update to 13/08/2011 git version:
  * Updates for Go r59
  * Properly handle the case where struct pointers are nil
  * Double-bracket variables, {{var}}, are now HTML-escaping by default,
    and triple-bracket vars, {{{var}}}, are raw
  * Remove workaround for relection table bug since it's been fixed
* Wed Jun  8 2011 saschpe@suse.de
- Use new %%go_disable_brp_strip_static_archive macro
* Fri May 20 2011 saschpe@suse.de
- Use Go RPM macros instead of custom ones
- Use proper package versioning scheme (needs reinstall)
- Drop provides/obsoletes of old package, needs reinstall anyway
* Thu May 19 2011 saschpe@suse.de
- Remove rpmlintrc, not needed anymore
* Thu May 19 2011 saschpe@suse.de
- Simpler build
* Thu May 19 2011 saschpe@suse.de
- Disable brp-strip-static-archive also on RHEL and CentOS
* Wed May 18 2011 saschpe@suse.de
- Disable tests also for RHEL, CentOS and Mandriva
* Wed May 18 2011 saschpe@suse.de
- Don't require 'go'
- Disable brp-strip-static-archive on Fedora, breaks build
- Provide devel and devel-static packages
- Remove devel-file-in-non-devel-package rpmlint filter
* Wed May 18 2011 saschpe@suse.de
- Update to 18/05/2011 mercurial version
- Run tests
* Mon Mar 21 2011 saschpe@suse.de
- Removed authors from description
- Removed pkg_version macro, use %%%%{version} directly
* Tue Nov  9 2010 saschpe@gmx.de
- Initial commit
